LINUXCONF_REV=1.34
LINUXCONF_SUBREV=0
LINUXCONF_SUBSUBREV=0

LDEVEL=/usr/lib/linuxconf-devel/
SOLUCORP_TOOLS=/usr/lib/solucorp-tools
LIB_LINUXCONF=$(RPM_BUILD_ROOT)/usr/lib/linuxconf
LIB_LINUXCONF_LIB=$(LIB_LINUXCONF)/lib
FLAGS=-funsigned-char -g -O2 -Wall


ifeq ($(LINUXCONF_SUBSUBREV),0)
ifeq ($(LINUXCONF_SUBREV),0)
PACKAGE_REV=$(LINUXCONF_REV)
else
PACKAGE_REV=$(LINUXCONF_REV)r$(LINUXCONF_SUBREV)
endif
else
PACKAGE_REV=$(LINUXCONF_REV)r$(LINUXCONF_SUBREV).$(LINUXCONF_SUBSUBREV)
endif

SOPATH=$(CURDIR).so.$(VERSION)


include /usr/lib/linuxconf-devel/ccrules.mak

msg:
	$(LDEVEL)/msgscan $(CURDIR) \
		$(CURDIR).dic $(CURDIR).m EF *.{cc,tlcc}

msg.clean:
	@test -f $(CURDIR).m || (echo only in a project directory; exit 1)
	$(LDEVEL)/msgclean $(CURDIR).dic
	$(LDEVEL)/msgscan $(CURDIR) \
		$(CURDIR).dic $(CURDIR).m EF *.{cc,tlcc}
	make clean

include /usr/lib/linuxconf-devel/stdmod.mak

_dict.o: _dict.cc $(CURDIR).m

.sgml.txt:
	@echo Formatting $< '->' $@
	sgml2txt $(SGMLOPT) $<
	sgml2html $(SGMLOPT) $<

.sgml.html:
	@echo Formatting $< '->' $@
	sgml2html $(SGMLOPT) $<

.sgml.tex:
	@echo Formatting $< '->' $@
	sgml2latex $(SGMLOPT) $<


.txt.help:
	@mv $< $@

# Update the message dictionary for translators
syncmsg:
	@test "$(LANG)" != ""	 || echo LANG not defined
	@test "$(LANG)" != ""
	/usr/lib/linuxconf-devel/syncmsg.sh $(CURDIR) $(LANG)


